Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.forms.client
Interface Form

All Known Implementing Classes:
  DefaultForm

    public interface Form

Represents a form.

Since:
  2.2.2

Field Summary
`static java.lang.String` | `ACTION_APPLY` Name of the standard apply action.
`static java.lang.String` | `ACTION_CANCEL` Name of the standard cancel action.
`static java.lang.String` | `ACTION_CLOSE` Name of the standard close action.
`static java.lang.String` | `ACTION_RESET` Name of the standard reset action.
`static java.lang.String` | `ACTION_SUBMIT` Name of the standard submit action.
`static java.lang.String` | `ACTION_VALIDATE` Name of the standard validate action.

Method Summary
`void` | `destroy()` Removes the form from its container and also releases its resources.
`LoadStat[]` | `getLoadStats()` Returns an array of LoadStat objects that each represent the measurement of a particular phase of the form load.
`java.lang.String` | `getLocale()` Returns the String representation of the Locale currently being used to render the Form.
`java.lang.String` | `getSerializedParameters()` Returns a JSON representation of the data being managed by the Form.
`void` | `setCallbackHandler(java.lang.String actionName, FormActionCallbackHandler handler)` Adds a handler to the form that will be invoked when the specified action is invoked in the Form.
`void` | `setLocale(java.lang.String locale)` Sets the String representation of the Locale currently being used to render the Form.

Field Detail

### ACTION_APPLY

    static final java.lang.String ACTION_APPLY

  Name of the standard apply action.

  See Also:
    Constant Field Values

### ACTION_CANCEL

    static final java.lang.String ACTION_CANCEL

  Name of the standard cancel action.

  See Also:
    Constant Field Values

### ACTION_CLOSE

    static final java.lang.String ACTION_CLOSE

  Name of the standard close action.

  See Also:
    Constant Field Values

### ACTION_RESET

    static final java.lang.String ACTION_RESET

  Name of the standard reset action.

  See Also:
    Constant Field Values

### ACTION_SUBMIT

    static final java.lang.String ACTION_SUBMIT

  Name of the standard submit action.

  See Also:
    Constant Field Values

### ACTION_VALIDATE

    static final java.lang.String ACTION_VALIDATE

  Name of the standard validate action.

  See Also:
    Constant Field Values

Method Detail

### destroy

    void destroy()

  Removes the form from its container and also releases its resources. This should be called by client applications that wish to close the form.

### getLoadStats

    LoadStat[] getLoadStats()

  Returns an array of LoadStat objects that each represent the measurement of a particular phase of the form load.

  Returns:
    An array of LoadStat objects that each represent the measurement of a particular phase of the form load.

### getLocale

    java.lang.String getLocale()

  Returns the String representation of the Locale currently being used to render the Form.

  Returns:
    The String representation of the Locale currently being used to render the Form.

### getSerializedParameters

    java.lang.String getSerializedParameters()

  Returns a JSON representation of the data being managed by the Form.

  Returns:
    A JSON representation of the data being managed by the Form.

### setCallbackHandler

    void setCallbackHandler(java.lang.String actionName,
                            FormActionCallbackHandler handler)

  Adds a handler to the form that will be invoked when the specified action is invoked in the Form. Note that any handler already registered for this action will be replaced by this handler.

  Parameters:
    `actionName` - Name of the action (e.g. close) If the action is "submit", then the all validations in the Form will be invoked prior to invoking the callback handlers. If any of the validations fail, then the callback handlers will not be invoked.
    `handler` - The callback handler to associate with the actionName. The Form may have only one handler for each action. If this method is called more than once for the same actionName, the handler set previously will be replaced. Passing in null for this parameter will remove the handler for this particular action.

### setLocale

    void setLocale(java.lang.String locale)

  Sets the String representation of the Locale currently being used to render the Form.

  Parameters:
    `locale` - String representation of the Locale, e.g. "en" or "en_US".

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.